> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Generic Insight details

> Returns the detailed, “explore” representation of a Spark insight (attributes, audiences, calculations, etc.).




## OpenAPI

````yaml get /v1/spark-api/generic/insights/{id}
openapi: 3.0.0
info:
  title: SPARK API
  description: Spark REST API.
  version: 1.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v1/spark-api/generic/insights/{id}:
    get:
      tags:
        - Insights
      summary: Retrieve Generic Insight details
      description: >
        Returns the detailed, “explore” representation of a Spark insight
        (attributes, audiences, calculations, etc.).
      operationId: genericInsight
      parameters:
        - name: id
          in: path
          required: true
          description: Insight unique identifier.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericInsightResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GenericInsightResponse:
      type: object
      description: Complete “explore” view of a generic insight.
      properties:
        insight:
          $ref: '#/components/schemas/GenericInsight'
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/InsightAttribute'
        audiences:
          type: array
          items:
            $ref: '#/components/schemas/InsightAudience'
        question_calculations:
          type: array
          items:
            $ref: '#/components/schemas/QuestionCalculation'
        location_groups:
          type: array
          items:
            $ref: '#/components/schemas/LocationGroup'
        timeframe_groups:
          type: array
          items:
            $ref: '#/components/schemas/TimeframeGroup'
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/Dataset'
    BadRequest:
      type: object
      description: Response payload for bad request.
      properties:
        code:
          type: integer
          description: The HTTP status code.
        message:
          type: string
          description: The reason for the error.
      example:
        code: 400
        message: Bad request reason
    Unauthorized:
      type: object
      description: Response payload for unauthorized.
      properties:
        message:
          type: string
      example:
        message: Unauthorized
    NotFound:
      type: object
      description: Response payload for not found.
      properties:
        code:
          type: integer
          description: The HTTP status code.
        message:
          type: string
          description: The reason for the error.
      example:
        code: 404
        message: Not found reason
    InternalServerError:
      type: object
      description: Response payload for internal server error.
      properties:
        code:
          type: integer
          description: The HTTP status code.
        message:
          type: string
          description: Generic error reason.
      example:
        code: 500
        message: There was an error processing your request. Please try again later.
    GenericInsight:
      type: object
      required:
        - id
        - text
      properties:
        id:
          type: string
        text:
          type: string
        metrics:
          type: array
          items:
            type: string
        origins:
          $ref: '#/components/schemas/InsightOrigins'
    InsightAttribute:
      type: object
      properties:
        attribute_key:
          $ref: '#/components/schemas/AttributeKey'
        question_description:
          type: string
        question_name:
          type: string
        datapoint_name:
          type: string
        suffix_name:
          type: string
        generated_text:
          type: string
    InsightAudience:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
    QuestionCalculation:
      type: object
      properties:
        question:
          $ref: '#/components/schemas/Question'
        suffixes:
          type: string
        metric_priority:
          type: array
          items:
            type: string
        calculations:
          type: array
          items:
            $ref: '#/components/schemas/AttributeCalculation'
    LocationGroup:
      type: object
      properties:
        group:
          type: string
        details:
          $ref: '#/components/schemas/LocationDetails'
    TimeframeGroup:
      type: object
      properties:
        group:
          type: string
        details:
          $ref: '#/components/schemas/TimeframeDetails'
    Dataset:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        url:
          type: string
    InsightOrigins:
      type: object
      properties:
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/AttributeWithText'
        audiences:
          type: array
          items:
            $ref: '#/components/schemas/InsightAudience'
        locations:
          type: array
          items:
            type: string
        waves:
          type: array
          items:
            type: string
        datasets:
          type: array
          items:
            type: string
    AttributeKey:
      type: object
      properties:
        namespace_code:
          type: string
        question_code:
          type: string
        datapoint_code:
          type: string
        suffix_code:
          type: string
    Question:
      type: object
      properties:
        question_description:
          type: string
        question_name:
          type: string
    AttributeCalculation:
      type: object
      properties:
        attribute_key:
          $ref: '#/components/schemas/AttributeKey'
        attribute:
          $ref: '#/components/schemas/InsightAttribute'
        audience_id:
          type: string
        audience:
          $ref: '#/components/schemas/InsightAudience'
        percentage:
          type: number
          format: double
        index:
          type: number
          format: double
        sample:
          type: integer
        size:
          type: integer
    LocationDetails:
      type: object
      properties:
        description:
          type: string
        locations:
          type: array
          items:
            $ref: '#/components/schemas/SourcesLocation'
    TimeframeDetails:
      type: object
      properties:
        description:
          type: string
        timeframes:
          type: array
          items:
            $ref: '#/components/schemas/SourcesWave'
    AttributeWithText:
      type: object
      properties:
        attribute_key:
          $ref: '#/components/schemas/AttributeKey'
        generated_text:
          type: string
    SourcesLocation:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
    SourcesWave:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````